Public API - LinkedIn Ads
List ad likes
People who liked your ads, with company context. filter = all | icp | non-icp.
GET
List ad likes
Authorizations
Your organization's public API key. Manage it at GET /api/user/public-api-key.
Response
OK
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
People who liked your ads, with company context. filter = all | icp | non-icp.
curl --request GET \
--url http://app.stairoids.com/api/public/v1/ads/likes \
--header 'X-Api-Key: <api-key>'{
"data": [
{
"likeId": 55123,
"person": {
"publicIdentifier": "jane-doe-123",
"name": "Jane Doe",
"headline": "VP of Marketing",
"linkedInUrl": "<string>",
"profilePicture": "<string>"
},
"company": {
"companyId": 4521,
"name": "Acme Corp",
"domain": "acme.com",
"industry": "Software",
"country": "Netherlands",
"city": "Amsterdam",
"employeeCount": 250,
"companySize": "201-500",
"linkedInUrl": "https://www.linkedin.com/company/acme",
"totalScore": 87,
"icpMatched": true,
"icpId": 7,
"icpName": "Mid-market SaaS",
"rankedLeadScoreId": 55231,
"logoUrl": "<string>",
"funnelStageId": 12,
"funnelStage": "Hot",
"labels": [
{
"id": 5,
"name": "Strategic",
"color": "#73d89c",
"userGenerated": true
}
],
"latestActivityTimestamp": 1719500000000
},
"adPostId": 987654,
"adTitle": "<string>",
"engagementLevel": "HIGH",
"timestamp": 1719500000000
}
],
"page": 0,
"size": 20,
"totalElements": 137,
"totalPages": 7
}Your organization's public API key. Manage it at GET /api/user/public-api-key.
OK
A page of results.
curl --request GET \
--url http://app.stairoids.com/api/public/v1/ads/likes \
--header 'X-Api-Key: <api-key>'{
"data": [
{
"likeId": 55123,
"person": {
"publicIdentifier": "jane-doe-123",
"name": "Jane Doe",
"headline": "VP of Marketing",
"linkedInUrl": "<string>",
"profilePicture": "<string>"
},
"company": {
"companyId": 4521,
"name": "Acme Corp",
"domain": "acme.com",
"industry": "Software",
"country": "Netherlands",
"city": "Amsterdam",
"employeeCount": 250,
"companySize": "201-500",
"linkedInUrl": "https://www.linkedin.com/company/acme",
"totalScore": 87,
"icpMatched": true,
"icpId": 7,
"icpName": "Mid-market SaaS",
"rankedLeadScoreId": 55231,
"logoUrl": "<string>",
"funnelStageId": 12,
"funnelStage": "Hot",
"labels": [
{
"id": 5,
"name": "Strategic",
"color": "#73d89c",
"userGenerated": true
}
],
"latestActivityTimestamp": 1719500000000
},
"adPostId": 987654,
"adTitle": "<string>",
"engagementLevel": "HIGH",
"timestamp": 1719500000000
}
],
"page": 0,
"size": 20,
"totalElements": 137,
"totalPages": 7
}